List Event Definitions
curl --request GET \
--url https://api.bold-factory.com/v1/agents/automations/eventDefinitions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bold-factory.com/v1/agents/automations/eventDefinitions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bold-factory.com/v1/agents/automations/eventDefinitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"eventName": "<string>",
"eventVersion": 123,
"properties": [
{
"path": "<string>",
"name": "<string>",
"kind": "<string>"
}
]
}
]{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/COMMON.AUTH.MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Families.Read",
"instance": "GET /v1/maintenance/assets",
"code": "COMMON.AUTH.MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/COMMON.RATE_LIMIT.EXCEEDED",
"title": "Rate limit exceeded",
"status": 429,
"detail": "The request rate limit for this tenant has been exceeded. Retry after the indicated delay.",
"instance": "GET /v1/admin/tenants/self",
"code": "COMMON.RATE_LIMIT.EXCEEDED",
"parameters": {}
}Automations
List Event Definitions
Returns the events that can be selected when configuring an Event Trigger.
GET
/
v1
/
agents
/
automations
/
eventDefinitions
List Event Definitions
⌘I